Skip to main content
Topic: Which one should you use? (Read 2878 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Which one should you use?

There are two versions of OpenImporter: the "stable" (i.e. the 1.0, still kind of beta, but that (except for known or not known bugs) will work for some historical forums) and the "development" (i.e. 2.0, under heavy development that has bugs, works better for some forums, but "less" better for others).

Both of them can "of course" be found at https://github.com/OpenImporter/openimporter but probably only one of them can be easily downloaded, that is the stable one, picking this file:
https://github.com/OpenImporter/openimporter/archive/master.zip
this version should work converting any of the systems listed on the main page at github (namely MyBB 1.6, phpBB 3.0, SMF 1.1, SMF 2.0, vBulletin 4, Woltlab Burning Board (at the moment I'm writing I'm not sure about the version, sorry, it should be 3.0 or likely a lower one), Wordpress (no idea of the version, sorry) and Wedge) to ElkArte 1.0.

The development version, instead, may be a little more tricky to get for non-developers, mainly because the code at github requires the execution of some commands to make it into a working version (i.e. grab the dependencies, external libraries we started using to reduce the need to re-invent the wheel), so I prepared a package and attached it to the first message of the following topic:
http://www.elkarte.net/community/index.php?topic=2118.0
this has bugs, for sure. It should work somehow better than the "stable" version, though it has bugs. Did I say it has bugs? Not to repeat myself, but I'd like to stress-out this version is buggy.
Use it, you will not loose any of your data, but the result may be not what you would expect.

I'm pretty sure even the "stable" version has some bug and may not convert properly few things. Feel free to open topics and report bugs when you find them (maybe just try a search first, there are good chances the bug is already posted here around ;)).
Bugs creator.
Features destroyer.
Template killer.

Re: Which one should you use?

Reply #1
We need to get  Xenforo 1.5 into the importer.

Re: Which one should you use?

Reply #2
Not to bring up and old topic but with Xenforo releasing 2.0 RC 3 today looking to add it to the importer once stable would be great. 

 

Re: Which one should you use?

Reply #3
ehh... yeah, it would be great also to actually complete the work started with OI... :(
Bugs creator.
Features destroyer.
Template killer.